Bug 525946 - obexftp crashes while transferring files
obexftp crashes while transferring files
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: obexftp (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
: Reopened
: 619933 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-27 09:37 EDT by Need Real Name
Modified: 2011-06-27 10:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:25:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2009-09-27 09:37:19 EDT
When transferring a >10Mb file to 
Nokia 3110c v 07.21 05-11-08 RM-237
1. nokia crashes
2. obexftp was crashing for a while in this situation.
but now prints error message.
bluetooth-sendto from gnome-bluetooth 
used to work, but recent versions stopped.

for some reason I cannot get a stack trace when using gdb,
but when running obexftp directly 
obexftp -v -b 'xx:xx:xx:xx:xx:xx'  -c /DIR/  -p file.zip 


bluez-4.54-1.fc11.x86_64
obexfs-0.12-2.fc11.x86_64
obex-data-server-0.4.3-2.fc11.x86_64
openobex-apps-1.4-3.fc11.x86_64
obexftp-0.23-2.fc11.x86_64
obexd-0.17-2.fc11.x86_64
gvfs-obexftp-1.2.3-12.fc11.x86_64
obexftp-debuginfo-0.23-2.fc11.x86_64
obexftp-devel-0.23-2.fc11.x86_64
openobex-1.4-3.fc11.x86_64
openobex-devel-1.4-3.fc11.x86_64
obexftp-libs-0.23-2.fc11.x86_64
openobex-debuginfo-1.4-3.fc11.x86_64
nome-bluetooth-2.27.8-2.fc11.x86_64
gnome-bluetooth-libs-2.27.8-2.fc11.x86_64

Tried to connect for 78ms
Sending ""...|Sending "DIR".../done
Sending "file.zip"...-failed: file.zip
The operation failed with return code 1
Disconnecting...failed: disconnect
Comment 1 Dominik 'Rathann' Mierzejewski 2009-11-06 10:53:46 EST
Thanks for the report. I will try to reproduce, but I don't have the same phone model as yours.
Comment 2 Dominik 'Rathann' Mierzejewski 2009-12-26 12:55:42 EST
I got my hands on a Nokia 3110 and it has only 4MB free memory, so the problem might simply be because there isn't enough space to transfer the file. For me the error is:
[...]
The operation failed with return code 96
Disconnecting..|done

Transferring smaller file works just fine.

Have you tried updating phone software to the latest version? Mine is 7.21.

Anyway, I don't think this is a bug in obexftp.
Comment 3 Need Real Name 2009-12-26 17:28:05 EST
I have a micro SD in Nokia, so there is enough space there.
I have the following experience transferring 70 Mb file.
obexftp - crash Nokia 3110 in F9,F10,F11,F12
bluetooth-sendto - worked around F9, 
but currently bluetooth-sendto crashes Nokia 3110 in F11,F12
Nautilus file manager - work OK in F11,F12, a 70Mb file can be copied OK.

The crash occurs as about this:
10-15 Mb is copied, then the phone stops responding and only 
power button helps.

I did upgrade Nokia firmware, I do the have the latest.
Nothing changed since early version in terms of crashes.
Comment 4 Dominik 'Rathann' Mierzejewski 2009-12-27 07:48:41 EST
OK, there might be a bug then. I'll try obtaining an SD card and try to reproduce with larger files. In the meantime, could you find out at which file size exactly the crash occurs?
Comment 5 Need Real Name 2009-12-28 11:25:24 EST
any size in >60Mb range
dd if=/dev/zero of=d.t count=64000 bs=1024
ls -l d.t
-rw-rw-r--. 1 mal mal 65536000 2009-12-28 11:12 d.t


obexftp -v -b '??:??:??:??:??:??'  -c /AVX/  -p /tmp/d.t 
Browsing ??:??:??:??:??:?? ...
Connecting..\done
Tried to connect for 80ms
Sending ""...|Sending "AVX".../done
Sending "/tmp/d.t".../failed: /tmp/d.t
The operation failed with return code 1
Disconnecting...failed: disconnect

there is a d.t file of 0 length on a flash card in Nokia


But strange thing - Nautilus copies large files just fine.
but obexftp & bluetooth-sendto crash Nokia.
Older version of bluetooth-sendto also copied files OK
Comment 6 Need Real Name 2009-12-28 11:26:59 EST
I did not write in previous messages, that
obexftp was copying the data for about 5 minutes
(showing the activity).
then the phone crashed.
Comment 7 Bug Zapper 2010-04-28 06:35:33 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 10:49:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Dominik 'Rathann' Mierzejewski 2010-08-01 15:58:40 EDT
*** Bug 619933 has been marked as a duplicate of this bug. ***
Comment 10 Dominik 'Rathann' Mierzejewski 2010-08-01 16:03:58 EDT
For the record, I did ask for help on upstream mailing list, but there was no reply: http://sourceforge.net/mailarchive/forum.php?thread_name=20100315213734.GA10815%40mokona.greysector.net&forum_name=openobex-users

I'll keep this open since it's still reproducible on F-13.
Comment 11 Need Real Name 2010-08-01 17:04:28 EDT
I would like to clarify, there are actually 3 issues with bluetooth.

1. Linux bluetooth issue: #525946 different behaviour of 
obexftp/bluetooth-sendto v.s. nautilus drag & drop.
Regardless all the other issues they behave differently in regards with 
bluetooth (speed for example). Why?

2. Linux bluetooth stack is not stable. It stalls quite often,
especially when there is a problem with connected clients.
If bluetooth client behave badly (i.e. Nokia 3110c) 
Linux bluetooth may stall there is no way to get it working except 
of 
killall obex-data-server gvfsd-obexftp
If a bad client can stall Linux bluetooth - this is an indicator 
of some issues with it.

3. As I just checked - the latest crashes in #619950
occurred during the killall command, when the process was attempted to kill
with signal 15. Anyway - the program should not crash after receiving signal 15.
Comment 12 Bug Zapper 2011-06-02 13:39:34 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2011-06-27 10:25:55 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.